GOOG-12-012100 - Google Android 12 must allow only the administrator (EMM) to install/remove DoD root and intermediate PKI certificates.

Information

DoD root and intermediate PKI certificates are used to verify the authenticity of PKI certificates of users and web services. If the user is allowed to remove root and intermediate certificates, the user could allow an adversary to falsely sign a certificate in such a way that it could not be detected. Restricting the ability to remove DoD root and intermediate PKI certificates to the Administrator mitigates this risk.

SFR ID: FMT_MOF_EXT.1.2 #47

NOTE: Nessus has not performed this check. Please review the benchmark to ensure target compliance.

Solution

Configure Google Android 12 device to prevent a user from removing DoD root and intermediate PKI certificates.

On the EMM console:
1. Open 'Set user restrictions'..
2. Toggle 'Disallow config credentials' to ON.

See Also

https://dl.dod.cyber.mil/wp-content/uploads/stigs/zip/U_Google_Android_12_STIG.zip

Item Details

Category: CONFIGURATION MANAGEMENT

References: 800-53|CM-6(1), 800-53|CM-6b., CAT|II, CCI|CCI-000366, CCI|CCI-000370, Rule-ID|SV-250416r802781_rule, STIG-ID|GOOG-12-012100, Vuln-ID|V-250416

Plugin: MDM

Control ID: 7a5d591a2702b6618058578cac29d9b5baf89dc2e789f7198e77fac13b291119